# Get discussion

Gets the discussion specified by discussionId.

Endpoint: GET /sheets/{sheetId}/discussions/{discussionId}
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

  - `discussionId` (string, required)
    ID of the discussion being accessed.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Response 200 fields (application/json):

  - `accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `id` (number)
    Discussion ID.

  - `comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `comments.attachments` (array)
    Array of attachments on comments.

  - `comments.attachments.id` (number)
    Attachment ID.

  - `comments.attachments.parentId` (number)
    The ID of the parent.

  - `comments.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `comments.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `comments.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `comments.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `comments.attachments.createdAt` (any)

  - `comments.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `comments.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `comments.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `comments.attachments.name` (string)
    Attachment name.

  - `comments.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `comments.attachments.url` (string)
    Attachment temporary URL (files only).

  - `comments.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `comments.createdAt` (any)

  - `comments.createdBy` (object)
    User object containing name and email of the creator of this comment.

  - `comments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `comments.createdBy.name` (string)
    Example: "Jane Doe"

  - `comments.discussionId` (number)
    Discussion ID of discussion that contains comment.

  - `comments.id` (number)
    Comment ID.

  - `comments.modifiedAt` (any)

  - `comments.text` (string)
    Comment body.

  - `commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `commentAttachments.id` (number)
    Attachment ID.

  - `commentAttachments.parentId` (number)
    The ID of the parent.

  - `commentAttachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `commentAttachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `commentAttachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `commentAttachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `commentAttachments.createdAt` (any)

  - `commentAttachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `commentAttachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `commentAttachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `commentAttachments.name` (string)
    Attachment name.

  - `commentAttachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `commentAttachments.url` (string)
    Attachment temporary URL (files only).

  - `commentAttachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `commentCount` (number)
    Number of comments in the discussion.

  - `createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `createdBy.name` (string)
    Example: "Jane Doe"

  - `lastCommentedAt` (any)

  - `lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `parentId` (number)
    The ID of the associated row or sheet.

  - `parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.


